function [beta0,beta1] = Calc_beta0_beta1(alpha0,alpha1,in3,in4,in5,in6,in7,in8,in9)
%Calc_beta0_beta1
%    [BETA0,BETA1] = Calc_beta0_beta1(ALPHA0,ALPHA1,IN3,IN4,IN5,IN6,IN7,IN8,IN9)

%    This function was generated by the Symbolic Math Toolbox version 9.1.
%    11-Oct-2023 12:58:47

D_vec1 = in9(1,:);
D_vec2 = in9(2,:);
D_vec3 = in9(3,:);
D_vec4 = in9(4,:);
D_vec5 = in9(5,:);
D_vec6 = in9(6,:);
nk0_vec1 = in5(1,:);
nk0_vec2 = in5(2,:);
nk0_vec3 = in5(3,:);
nk0_vec4 = in5(4,:);
nk0_vec5 = in5(5,:);
nk0_vec6 = in5(6,:);
nk1_vec1 = in8(1,:);
nk1_vec2 = in8(2,:);
nk1_vec3 = in8(3,:);
nk1_vec4 = in8(4,:);
nk1_vec5 = in8(5,:);
nk1_vec6 = in8(6,:);
p0_vec1 = in3(1,:);
p0_vec2 = in3(2,:);
p0_vec3 = in3(3,:);
p0_vec4 = in3(4,:);
p0_vec5 = in3(5,:);
p0_vec6 = in3(6,:);
p1_vec1 = in6(1,:);
p1_vec2 = in6(2,:);
p1_vec3 = in6(3,:);
p1_vec4 = in6(4,:);
p1_vec5 = in6(5,:);
p1_vec6 = in6(6,:);
t0_vec1 = in4(1,:);
t0_vec2 = in4(2,:);
t0_vec3 = in4(3,:);
t0_vec4 = in4(4,:);
t0_vec5 = in4(5,:);
t0_vec6 = in4(6,:);
t1_vec1 = in7(1,:);
t1_vec2 = in7(2,:);
t1_vec3 = in7(3,:);
t1_vec4 = in7(4,:);
t1_vec5 = in7(5,:);
t1_vec6 = in7(6,:);
t2 = D_vec1.^2;
t3 = D_vec2.^2;
t4 = D_vec3.^2;
t5 = D_vec4.^2;
t6 = D_vec5.^2;
t7 = D_vec6.^2;
t8 = alpha0.^2;
t9 = alpha1.^2;
t10 = t0_vec1.^2;
t11 = t0_vec2.^2;
t12 = t0_vec3.^2;
t13 = t0_vec4.^2;
t14 = t0_vec5.^2;
t15 = t0_vec6.^2;
t16 = t1_vec1.^2;
t17 = t1_vec2.^2;
t18 = t1_vec3.^2;
t19 = t1_vec4.^2;
t20 = t1_vec5.^2;
t21 = t1_vec6.^2;
t22 = D_vec1.*D_vec2.*t0_vec1.*t0_vec2.*t1_vec1.*t1_vec2.*2.0;
t23 = D_vec1.*D_vec3.*t0_vec1.*t0_vec3.*t1_vec1.*t1_vec3.*2.0;
t24 = D_vec1.*D_vec4.*t0_vec1.*t0_vec4.*t1_vec1.*t1_vec4.*2.0;
t25 = D_vec2.*D_vec3.*t0_vec2.*t0_vec3.*t1_vec2.*t1_vec3.*2.0;
t26 = D_vec1.*D_vec5.*t0_vec1.*t0_vec5.*t1_vec1.*t1_vec5.*2.0;
t27 = D_vec2.*D_vec4.*t0_vec2.*t0_vec4.*t1_vec2.*t1_vec4.*2.0;
t28 = D_vec1.*D_vec6.*t0_vec1.*t0_vec6.*t1_vec1.*t1_vec6.*2.0;
t29 = D_vec2.*D_vec5.*t0_vec2.*t0_vec5.*t1_vec2.*t1_vec5.*2.0;
t30 = D_vec3.*D_vec4.*t0_vec3.*t0_vec4.*t1_vec3.*t1_vec4.*2.0;
t31 = D_vec2.*D_vec6.*t0_vec2.*t0_vec6.*t1_vec2.*t1_vec6.*2.0;
t32 = D_vec3.*D_vec5.*t0_vec3.*t0_vec5.*t1_vec3.*t1_vec5.*2.0;
t33 = D_vec3.*D_vec6.*t0_vec3.*t0_vec6.*t1_vec3.*t1_vec6.*2.0;
t34 = D_vec4.*D_vec5.*t0_vec4.*t0_vec5.*t1_vec4.*t1_vec5.*2.0;
t35 = D_vec4.*D_vec6.*t0_vec4.*t0_vec6.*t1_vec4.*t1_vec6.*2.0;
t36 = D_vec5.*D_vec6.*t0_vec5.*t0_vec6.*t1_vec5.*t1_vec6.*2.0;
t37 = -t22;
t38 = -t23;
t39 = -t24;
t40 = -t25;
t41 = -t26;
t42 = -t27;
t43 = -t28;
t44 = -t29;
t45 = -t30;
t46 = -t31;
t47 = -t32;
t48 = -t33;
t49 = -t34;
t50 = -t35;
t51 = -t36;
t52 = D_vec1.*D_vec2.*t10.*t17.*9.0;
t53 = D_vec1.*D_vec2.*t11.*t16.*9.0;
t54 = D_vec1.*D_vec3.*t10.*t18.*9.0;
t55 = D_vec1.*D_vec3.*t12.*t16.*9.0;
t56 = D_vec1.*D_vec4.*t10.*t19.*9.0;
t57 = D_vec1.*D_vec4.*t13.*t16.*9.0;
t58 = D_vec2.*D_vec3.*t11.*t18.*9.0;
t59 = D_vec2.*D_vec3.*t12.*t17.*9.0;
t60 = D_vec1.*D_vec5.*t10.*t20.*9.0;
t61 = D_vec1.*D_vec5.*t14.*t16.*9.0;
t62 = D_vec2.*D_vec4.*t11.*t19.*9.0;
t63 = D_vec2.*D_vec4.*t13.*t17.*9.0;
t64 = D_vec1.*D_vec6.*t10.*t21.*9.0;
t65 = D_vec1.*D_vec6.*t15.*t16.*9.0;
t66 = D_vec2.*D_vec5.*t11.*t20.*9.0;
t67 = D_vec2.*D_vec5.*t14.*t17.*9.0;
t68 = D_vec3.*D_vec4.*t12.*t19.*9.0;
t69 = D_vec3.*D_vec4.*t13.*t18.*9.0;
t70 = D_vec2.*D_vec6.*t11.*t21.*9.0;
t71 = D_vec2.*D_vec6.*t15.*t17.*9.0;
t72 = D_vec3.*D_vec5.*t12.*t20.*9.0;
t73 = D_vec3.*D_vec5.*t14.*t18.*9.0;
t74 = D_vec3.*D_vec6.*t12.*t21.*9.0;
t75 = D_vec3.*D_vec6.*t15.*t18.*9.0;
t76 = D_vec4.*D_vec5.*t13.*t20.*9.0;
t77 = D_vec4.*D_vec5.*t14.*t19.*9.0;
t78 = D_vec4.*D_vec6.*t13.*t21.*9.0;
t79 = D_vec4.*D_vec6.*t15.*t19.*9.0;
t80 = D_vec5.*D_vec6.*t14.*t21.*9.0;
t81 = D_vec5.*D_vec6.*t15.*t20.*9.0;
t82 = t2.*t10.*t16.*8.0;
t83 = t3.*t11.*t17.*8.0;
t84 = t4.*t12.*t18.*8.0;
t85 = t5.*t13.*t19.*8.0;
t86 = t6.*t14.*t20.*8.0;
t87 = t7.*t15.*t21.*8.0;
t88 = t37+t38+t39+t40+t41+t42+t43+t44+t45+t46+t47+t48+t49+t50+t51+t52+t53+t54+t55+t56+t57+t58+t59+t60+t61+t62+t63+t64+t65+t66+t67+t68+t69+t70+t71+t72+t73+t74+t75+t76+t77+t78+t79+t80+t81+t82+t83+t84+t85+t86+t87;
t89 = 1.0./t88;
et1 = alpha0.*t2.*t10.*t16.*2.8e+1+alpha0.*t3.*t11.*t17.*2.8e+1+alpha0.*t4.*t12.*t18.*2.8e+1+alpha0.*t5.*t13.*t19.*2.8e+1+alpha0.*t6.*t14.*t20.*2.8e+1+alpha0.*t7.*t15.*t21.*2.8e+1+p0_vec1.*t2.*t16.*t0_vec1.*4.0e+1+p0_vec2.*t3.*t17.*t0_vec2.*4.0e+1+p0_vec3.*t4.*t18.*t0_vec3.*4.0e+1-p1_vec1.*t2.*t16.*t0_vec1.*4.0e+1+p0_vec4.*t5.*t19.*t0_vec4.*4.0e+1-p1_vec2.*t3.*t17.*t0_vec2.*4.0e+1+p0_vec5.*t6.*t20.*t0_vec5.*4.0e+1-p1_vec3.*t4.*t18.*t0_vec3.*4.0e+1+p0_vec6.*t7.*t21.*t0_vec6.*4.0e+1-p1_vec4.*t5.*t19.*t0_vec4.*4.0e+1-p1_vec5.*t6.*t20.*t0_vec5.*4.0e+1-p1_vec6.*t7.*t21.*t0_vec6.*4.0e+1+alpha1.*t2.*t0_vec1.*t1_vec1.^3.*1.2e+1+alpha1.*t3.*t0_vec2.*t1_vec2.^3.*1.2e+1+alpha1.*t4.*t0_vec3.*t1_vec3.^3.*1.2e+1+alpha1.*t5.*t0_vec4.*t1_vec4.^3.*1.2e+1+alpha1.*t6.*t0_vec5.*t1_vec5.^3.*1.2e+1+alpha1.*t7.*t0_vec6.*t1_vec6.^3.*1.2e+1+D_vec1.*D_vec2.*alpha0.*t10.*t17.*3.6e+1;
et2 = D_vec1.*D_vec2.*alpha0.*t11.*t16.*3.6e+1+D_vec1.*D_vec3.*alpha0.*t10.*t18.*3.6e+1+D_vec1.*D_vec3.*alpha0.*t12.*t16.*3.6e+1+D_vec1.*D_vec4.*alpha0.*t10.*t19.*3.6e+1+D_vec1.*D_vec4.*alpha0.*t13.*t16.*3.6e+1+D_vec2.*D_vec3.*alpha0.*t11.*t18.*3.6e+1+D_vec2.*D_vec3.*alpha0.*t12.*t17.*3.6e+1+D_vec1.*D_vec5.*alpha0.*t10.*t20.*3.6e+1+D_vec1.*D_vec5.*alpha0.*t14.*t16.*3.6e+1+D_vec2.*D_vec4.*alpha0.*t11.*t19.*3.6e+1+D_vec2.*D_vec4.*alpha0.*t13.*t17.*3.6e+1+D_vec1.*D_vec6.*alpha0.*t10.*t21.*3.6e+1+D_vec1.*D_vec6.*alpha0.*t15.*t16.*3.6e+1+D_vec2.*D_vec5.*alpha0.*t11.*t20.*3.6e+1+D_vec2.*D_vec5.*alpha0.*t14.*t17.*3.6e+1+D_vec3.*D_vec4.*alpha0.*t12.*t19.*3.6e+1+D_vec3.*D_vec4.*alpha0.*t13.*t18.*3.6e+1+D_vec2.*D_vec6.*alpha0.*t11.*t21.*3.6e+1+D_vec2.*D_vec6.*alpha0.*t15.*t17.*3.6e+1+D_vec3.*D_vec5.*alpha0.*t12.*t20.*3.6e+1+D_vec3.*D_vec5.*alpha0.*t14.*t18.*3.6e+1+D_vec3.*D_vec6.*alpha0.*t12.*t21.*3.6e+1+D_vec3.*D_vec6.*alpha0.*t15.*t18.*3.6e+1+D_vec4.*D_vec5.*alpha0.*t13.*t20.*3.6e+1+D_vec4.*D_vec5.*alpha0.*t14.*t19.*3.6e+1;
et3 = D_vec4.*D_vec6.*alpha0.*t13.*t21.*3.6e+1+D_vec4.*D_vec6.*alpha0.*t15.*t19.*3.6e+1+D_vec5.*D_vec6.*alpha0.*t14.*t21.*3.6e+1+D_vec5.*D_vec6.*alpha0.*t15.*t20.*3.6e+1+D_vec1.*D_vec2.*p0_vec1.*t17.*t0_vec1.*6.0e+1+D_vec1.*D_vec2.*p0_vec2.*t16.*t0_vec2.*6.0e+1+D_vec1.*D_vec3.*p0_vec1.*t18.*t0_vec1.*6.0e+1+D_vec1.*D_vec3.*p0_vec3.*t16.*t0_vec3.*6.0e+1+D_vec1.*D_vec4.*p0_vec1.*t19.*t0_vec1.*6.0e+1+D_vec2.*D_vec3.*p0_vec2.*t18.*t0_vec2.*6.0e+1+D_vec1.*D_vec5.*p0_vec1.*t20.*t0_vec1.*6.0e+1+D_vec2.*D_vec3.*p0_vec3.*t17.*t0_vec3.*6.0e+1+D_vec1.*D_vec4.*p0_vec4.*t16.*t0_vec4.*6.0e+1+D_vec2.*D_vec4.*p0_vec2.*t19.*t0_vec2.*6.0e+1+D_vec1.*D_vec6.*p0_vec1.*t21.*t0_vec1.*6.0e+1+D_vec2.*D_vec4.*p0_vec4.*t17.*t0_vec4.*6.0e+1+D_vec2.*D_vec5.*p0_vec2.*t20.*t0_vec2.*6.0e+1-D_vec1.*D_vec2.*p1_vec1.*t17.*t0_vec1.*6.0e+1+D_vec1.*D_vec5.*p0_vec5.*t16.*t0_vec5.*6.0e+1+D_vec3.*D_vec4.*p0_vec3.*t19.*t0_vec3.*6.0e+1-D_vec1.*D_vec2.*p1_vec2.*t16.*t0_vec2.*6.0e+1+D_vec2.*D_vec6.*p0_vec2.*t21.*t0_vec2.*6.0e+1+D_vec3.*D_vec4.*p0_vec4.*t18.*t0_vec4.*6.0e+1-D_vec1.*D_vec3.*p1_vec1.*t18.*t0_vec1.*6.0e+1;
et4 = D_vec2.*D_vec5.*p0_vec5.*t17.*t0_vec5.*6.0e+1+D_vec3.*D_vec5.*p0_vec3.*t20.*t0_vec3.*6.0e+1+D_vec1.*D_vec6.*p0_vec6.*t16.*t0_vec6.*6.0e+1-D_vec1.*D_vec3.*p1_vec3.*t16.*t0_vec3.*6.0e+1-D_vec1.*D_vec4.*p1_vec1.*t19.*t0_vec1.*6.0e+1+D_vec3.*D_vec5.*p0_vec5.*t18.*t0_vec5.*6.0e+1+D_vec3.*D_vec6.*p0_vec3.*t21.*t0_vec3.*6.0e+1-D_vec2.*D_vec3.*p1_vec2.*t18.*t0_vec2.*6.0e+1+D_vec2.*D_vec6.*p0_vec6.*t17.*t0_vec6.*6.0e+1+D_vec4.*D_vec5.*p0_vec4.*t20.*t0_vec4.*6.0e+1-D_vec1.*D_vec5.*p1_vec1.*t20.*t0_vec1.*6.0e+1-D_vec2.*D_vec3.*p1_vec3.*t17.*t0_vec3.*6.0e+1+D_vec4.*D_vec5.*p0_vec5.*t19.*t0_vec5.*6.0e+1-D_vec1.*D_vec4.*p1_vec4.*t16.*t0_vec4.*6.0e+1-D_vec2.*D_vec4.*p1_vec2.*t19.*t0_vec2.*6.0e+1+D_vec3.*D_vec6.*p0_vec6.*t18.*t0_vec6.*6.0e+1+D_vec4.*D_vec6.*p0_vec4.*t21.*t0_vec4.*6.0e+1-D_vec1.*D_vec6.*p1_vec1.*t21.*t0_vec1.*6.0e+1-D_vec2.*D_vec4.*p1_vec4.*t17.*t0_vec4.*6.0e+1-D_vec2.*D_vec5.*p1_vec2.*t20.*t0_vec2.*6.0e+1+D_vec4.*D_vec6.*p0_vec6.*t19.*t0_vec6.*6.0e+1-D_vec1.*D_vec5.*p1_vec5.*t16.*t0_vec5.*6.0e+1-D_vec3.*D_vec4.*p1_vec3.*t19.*t0_vec3.*6.0e+1;
et5 = D_vec5.*D_vec6.*p0_vec5.*t21.*t0_vec5.*6.0e+1-D_vec2.*D_vec6.*p1_vec2.*t21.*t0_vec2.*6.0e+1-D_vec3.*D_vec4.*p1_vec4.*t18.*t0_vec4.*6.0e+1+D_vec5.*D_vec6.*p0_vec6.*t20.*t0_vec6.*6.0e+1-D_vec2.*D_vec5.*p1_vec5.*t17.*t0_vec5.*6.0e+1-D_vec3.*D_vec5.*p1_vec3.*t20.*t0_vec3.*6.0e+1-D_vec1.*D_vec6.*p1_vec6.*t16.*t0_vec6.*6.0e+1-D_vec3.*D_vec5.*p1_vec5.*t18.*t0_vec5.*6.0e+1-D_vec3.*D_vec6.*p1_vec3.*t21.*t0_vec3.*6.0e+1-D_vec2.*D_vec6.*p1_vec6.*t17.*t0_vec6.*6.0e+1-D_vec4.*D_vec5.*p1_vec4.*t20.*t0_vec4.*6.0e+1-D_vec4.*D_vec5.*p1_vec5.*t19.*t0_vec5.*6.0e+1-D_vec3.*D_vec6.*p1_vec6.*t18.*t0_vec6.*6.0e+1-D_vec4.*D_vec6.*p1_vec4.*t21.*t0_vec4.*6.0e+1-D_vec4.*D_vec6.*p1_vec6.*t19.*t0_vec6.*6.0e+1-D_vec5.*D_vec6.*p1_vec5.*t21.*t0_vec5.*6.0e+1-D_vec5.*D_vec6.*p1_vec6.*t20.*t0_vec6.*6.0e+1+nk0_vec1.*t2.*t8.*t16.*t0_vec1.*8.0+nk0_vec2.*t3.*t8.*t17.*t0_vec2.*8.0+nk0_vec3.*t4.*t8.*t18.*t0_vec3.*8.0+nk0_vec4.*t5.*t8.*t19.*t0_vec4.*8.0+nk0_vec5.*t6.*t8.*t20.*t0_vec5.*8.0+nk0_vec6.*t7.*t8.*t21.*t0_vec6.*8.0;
et6 = D_vec1.*D_vec2.*alpha1.*t17.*t0_vec1.*t1_vec1.*1.2e+1+D_vec1.*D_vec2.*alpha1.*t16.*t0_vec2.*t1_vec2.*1.2e+1+D_vec1.*D_vec3.*alpha1.*t18.*t0_vec1.*t1_vec1.*1.2e+1+D_vec1.*D_vec3.*alpha1.*t16.*t0_vec3.*t1_vec3.*1.2e+1+D_vec1.*D_vec4.*alpha1.*t19.*t0_vec1.*t1_vec1.*1.2e+1+D_vec2.*D_vec3.*alpha1.*t18.*t0_vec2.*t1_vec2.*1.2e+1+D_vec1.*D_vec5.*alpha1.*t20.*t0_vec1.*t1_vec1.*1.2e+1+D_vec2.*D_vec3.*alpha1.*t17.*t0_vec3.*t1_vec3.*1.2e+1+D_vec1.*D_vec4.*alpha1.*t16.*t0_vec4.*t1_vec4.*1.2e+1+D_vec2.*D_vec4.*alpha1.*t19.*t0_vec2.*t1_vec2.*1.2e+1+D_vec1.*D_vec6.*alpha1.*t21.*t0_vec1.*t1_vec1.*1.2e+1+D_vec2.*D_vec4.*alpha1.*t17.*t0_vec4.*t1_vec4.*1.2e+1+D_vec2.*D_vec5.*alpha1.*t20.*t0_vec2.*t1_vec2.*1.2e+1+D_vec1.*D_vec5.*alpha1.*t16.*t0_vec5.*t1_vec5.*1.2e+1+D_vec3.*D_vec4.*alpha1.*t19.*t0_vec3.*t1_vec3.*1.2e+1+D_vec2.*D_vec6.*alpha1.*t21.*t0_vec2.*t1_vec2.*1.2e+1+D_vec3.*D_vec4.*alpha1.*t18.*t0_vec4.*t1_vec4.*1.2e+1+D_vec2.*D_vec5.*alpha1.*t17.*t0_vec5.*t1_vec5.*1.2e+1+D_vec3.*D_vec5.*alpha1.*t20.*t0_vec3.*t1_vec3.*1.2e+1+D_vec1.*D_vec6.*alpha1.*t16.*t0_vec6.*t1_vec6.*1.2e+1+D_vec3.*D_vec5.*alpha1.*t18.*t0_vec5.*t1_vec5.*1.2e+1+D_vec3.*D_vec6.*alpha1.*t21.*t0_vec3.*t1_vec3.*1.2e+1;
et7 = D_vec2.*D_vec6.*alpha1.*t17.*t0_vec6.*t1_vec6.*1.2e+1+D_vec4.*D_vec5.*alpha1.*t20.*t0_vec4.*t1_vec4.*1.2e+1+D_vec4.*D_vec5.*alpha1.*t19.*t0_vec5.*t1_vec5.*1.2e+1+D_vec3.*D_vec6.*alpha1.*t18.*t0_vec6.*t1_vec6.*1.2e+1+D_vec4.*D_vec6.*alpha1.*t21.*t0_vec4.*t1_vec4.*1.2e+1+D_vec4.*D_vec6.*alpha1.*t19.*t0_vec6.*t1_vec6.*1.2e+1+D_vec5.*D_vec6.*alpha1.*t21.*t0_vec5.*t1_vec5.*1.2e+1+D_vec5.*D_vec6.*alpha1.*t20.*t0_vec6.*t1_vec6.*1.2e+1+D_vec1.*D_vec2.*nk0_vec1.*t8.*t17.*t0_vec1.*9.0+D_vec1.*D_vec2.*nk0_vec2.*t8.*t16.*t0_vec2.*9.0+D_vec1.*D_vec3.*nk0_vec1.*t8.*t18.*t0_vec1.*9.0+D_vec1.*D_vec3.*nk0_vec3.*t8.*t16.*t0_vec3.*9.0+D_vec1.*D_vec4.*nk0_vec1.*t8.*t19.*t0_vec1.*9.0+D_vec2.*D_vec3.*nk0_vec2.*t8.*t18.*t0_vec2.*9.0+D_vec1.*D_vec5.*nk0_vec1.*t8.*t20.*t0_vec1.*9.0+D_vec2.*D_vec3.*nk0_vec3.*t8.*t17.*t0_vec3.*9.0+D_vec1.*D_vec4.*nk0_vec4.*t8.*t16.*t0_vec4.*9.0+D_vec2.*D_vec4.*nk0_vec2.*t8.*t19.*t0_vec2.*9.0+D_vec1.*D_vec6.*nk0_vec1.*t8.*t21.*t0_vec1.*9.0+D_vec2.*D_vec4.*nk0_vec4.*t8.*t17.*t0_vec4.*9.0+D_vec2.*D_vec5.*nk0_vec2.*t8.*t20.*t0_vec2.*9.0+D_vec1.*D_vec5.*nk0_vec5.*t8.*t16.*t0_vec5.*9.0;
et8 = D_vec3.*D_vec4.*nk0_vec3.*t8.*t19.*t0_vec3.*9.0-D_vec1.*D_vec2.*nk1_vec1.*t9.*t17.*t0_vec1.*3.0+D_vec2.*D_vec6.*nk0_vec2.*t8.*t21.*t0_vec2.*9.0+D_vec3.*D_vec4.*nk0_vec4.*t8.*t18.*t0_vec4.*9.0-D_vec1.*D_vec2.*nk1_vec2.*t9.*t16.*t0_vec2.*3.0+D_vec2.*D_vec5.*nk0_vec5.*t8.*t17.*t0_vec5.*9.0+D_vec3.*D_vec5.*nk0_vec3.*t8.*t20.*t0_vec3.*9.0-D_vec1.*D_vec3.*nk1_vec1.*t9.*t18.*t0_vec1.*3.0+D_vec1.*D_vec6.*nk0_vec6.*t8.*t16.*t0_vec6.*9.0+D_vec3.*D_vec5.*nk0_vec5.*t8.*t18.*t0_vec5.*9.0+D_vec3.*D_vec6.*nk0_vec3.*t8.*t21.*t0_vec3.*9.0-D_vec1.*D_vec3.*nk1_vec3.*t9.*t16.*t0_vec3.*3.0-D_vec1.*D_vec4.*nk1_vec1.*t9.*t19.*t0_vec1.*3.0+D_vec2.*D_vec6.*nk0_vec6.*t8.*t17.*t0_vec6.*9.0+D_vec4.*D_vec5.*nk0_vec4.*t8.*t20.*t0_vec4.*9.0-D_vec2.*D_vec3.*nk1_vec2.*t9.*t18.*t0_vec2.*3.0+D_vec4.*D_vec5.*nk0_vec5.*t8.*t19.*t0_vec5.*9.0-D_vec1.*D_vec5.*nk1_vec1.*t9.*t20.*t0_vec1.*3.0-D_vec2.*D_vec3.*nk1_vec3.*t9.*t17.*t0_vec3.*3.0+D_vec3.*D_vec6.*nk0_vec6.*t8.*t18.*t0_vec6.*9.0+D_vec4.*D_vec6.*nk0_vec4.*t8.*t21.*t0_vec4.*9.0-D_vec1.*D_vec4.*nk1_vec4.*t9.*t16.*t0_vec4.*3.0;
et9 = D_vec2.*D_vec4.*nk1_vec2.*t9.*t19.*t0_vec2.*-3.0-D_vec1.*D_vec6.*nk1_vec1.*t9.*t21.*t0_vec1.*3.0+D_vec4.*D_vec6.*nk0_vec6.*t8.*t19.*t0_vec6.*9.0-D_vec2.*D_vec4.*nk1_vec4.*t9.*t17.*t0_vec4.*3.0-D_vec2.*D_vec5.*nk1_vec2.*t9.*t20.*t0_vec2.*3.0+D_vec5.*D_vec6.*nk0_vec5.*t8.*t21.*t0_vec5.*9.0-D_vec1.*D_vec5.*nk1_vec5.*t9.*t16.*t0_vec5.*3.0-D_vec3.*D_vec4.*nk1_vec3.*t9.*t19.*t0_vec3.*3.0+D_vec5.*D_vec6.*nk0_vec6.*t8.*t20.*t0_vec6.*9.0-D_vec2.*D_vec6.*nk1_vec2.*t9.*t21.*t0_vec2.*3.0-D_vec3.*D_vec4.*nk1_vec4.*t9.*t18.*t0_vec4.*3.0-D_vec2.*D_vec5.*nk1_vec5.*t9.*t17.*t0_vec5.*3.0-D_vec3.*D_vec5.*nk1_vec3.*t9.*t20.*t0_vec3.*3.0-D_vec1.*D_vec6.*nk1_vec6.*t9.*t16.*t0_vec6.*3.0-D_vec3.*D_vec5.*nk1_vec5.*t9.*t18.*t0_vec5.*3.0-D_vec3.*D_vec6.*nk1_vec3.*t9.*t21.*t0_vec3.*3.0-D_vec2.*D_vec6.*nk1_vec6.*t9.*t17.*t0_vec6.*3.0-D_vec4.*D_vec5.*nk1_vec4.*t9.*t20.*t0_vec4.*3.0-D_vec4.*D_vec5.*nk1_vec5.*t9.*t19.*t0_vec5.*3.0-D_vec3.*D_vec6.*nk1_vec6.*t9.*t18.*t0_vec6.*3.0-D_vec4.*D_vec6.*nk1_vec4.*t9.*t21.*t0_vec4.*3.0-D_vec4.*D_vec6.*nk1_vec6.*t9.*t19.*t0_vec6.*3.0;
et10 = D_vec5.*D_vec6.*nk1_vec5.*t9.*t21.*t0_vec5.*-3.0-D_vec5.*D_vec6.*nk1_vec6.*t9.*t20.*t0_vec6.*3.0-D_vec1.*D_vec2.*p0_vec1.*t0_vec2.*t1_vec1.*t1_vec2.*2.0e+1-D_vec1.*D_vec2.*p0_vec2.*t0_vec1.*t1_vec1.*t1_vec2.*2.0e+1-D_vec1.*D_vec3.*p0_vec1.*t0_vec3.*t1_vec1.*t1_vec3.*2.0e+1-D_vec1.*D_vec3.*p0_vec3.*t0_vec1.*t1_vec1.*t1_vec3.*2.0e+1-D_vec1.*D_vec4.*p0_vec1.*t0_vec4.*t1_vec1.*t1_vec4.*2.0e+1-D_vec1.*D_vec4.*p0_vec4.*t0_vec1.*t1_vec1.*t1_vec4.*2.0e+1-D_vec2.*D_vec3.*p0_vec2.*t0_vec3.*t1_vec2.*t1_vec3.*2.0e+1-D_vec2.*D_vec3.*p0_vec3.*t0_vec2.*t1_vec2.*t1_vec3.*2.0e+1-D_vec1.*D_vec5.*p0_vec1.*t0_vec5.*t1_vec1.*t1_vec5.*2.0e+1-D_vec1.*D_vec5.*p0_vec5.*t0_vec1.*t1_vec1.*t1_vec5.*2.0e+1-D_vec2.*D_vec4.*p0_vec2.*t0_vec4.*t1_vec2.*t1_vec4.*2.0e+1-D_vec2.*D_vec4.*p0_vec4.*t0_vec2.*t1_vec2.*t1_vec4.*2.0e+1+D_vec1.*D_vec2.*p1_vec1.*t0_vec2.*t1_vec1.*t1_vec2.*2.0e+1+D_vec1.*D_vec2.*p1_vec2.*t0_vec1.*t1_vec1.*t1_vec2.*2.0e+1-D_vec1.*D_vec6.*p0_vec1.*t0_vec6.*t1_vec1.*t1_vec6.*2.0e+1-D_vec1.*D_vec6.*p0_vec6.*t0_vec1.*t1_vec1.*t1_vec6.*2.0e+1-D_vec2.*D_vec5.*p0_vec2.*t0_vec5.*t1_vec2.*t1_vec5.*2.0e+1-D_vec2.*D_vec5.*p0_vec5.*t0_vec2.*t1_vec2.*t1_vec5.*2.0e+1;
et11 = D_vec3.*D_vec4.*p0_vec3.*t0_vec4.*t1_vec3.*t1_vec4.*-2.0e+1-D_vec3.*D_vec4.*p0_vec4.*t0_vec3.*t1_vec3.*t1_vec4.*2.0e+1+D_vec1.*D_vec3.*p1_vec1.*t0_vec3.*t1_vec1.*t1_vec3.*2.0e+1+D_vec1.*D_vec3.*p1_vec3.*t0_vec1.*t1_vec1.*t1_vec3.*2.0e+1-D_vec2.*D_vec6.*p0_vec2.*t0_vec6.*t1_vec2.*t1_vec6.*2.0e+1-D_vec2.*D_vec6.*p0_vec6.*t0_vec2.*t1_vec2.*t1_vec6.*2.0e+1-D_vec3.*D_vec5.*p0_vec3.*t0_vec5.*t1_vec3.*t1_vec5.*2.0e+1-D_vec3.*D_vec5.*p0_vec5.*t0_vec3.*t1_vec3.*t1_vec5.*2.0e+1+D_vec1.*D_vec4.*p1_vec1.*t0_vec4.*t1_vec1.*t1_vec4.*2.0e+1+D_vec1.*D_vec4.*p1_vec4.*t0_vec1.*t1_vec1.*t1_vec4.*2.0e+1+D_vec2.*D_vec3.*p1_vec2.*t0_vec3.*t1_vec2.*t1_vec3.*2.0e+1+D_vec2.*D_vec3.*p1_vec3.*t0_vec2.*t1_vec2.*t1_vec3.*2.0e+1-D_vec3.*D_vec6.*p0_vec3.*t0_vec6.*t1_vec3.*t1_vec6.*2.0e+1-D_vec3.*D_vec6.*p0_vec6.*t0_vec3.*t1_vec3.*t1_vec6.*2.0e+1-D_vec4.*D_vec5.*p0_vec4.*t0_vec5.*t1_vec4.*t1_vec5.*2.0e+1-D_vec4.*D_vec5.*p0_vec5.*t0_vec4.*t1_vec4.*t1_vec5.*2.0e+1+D_vec1.*D_vec5.*p1_vec1.*t0_vec5.*t1_vec1.*t1_vec5.*2.0e+1+D_vec1.*D_vec5.*p1_vec5.*t0_vec1.*t1_vec1.*t1_vec5.*2.0e+1+D_vec2.*D_vec4.*p1_vec2.*t0_vec4.*t1_vec2.*t1_vec4.*2.0e+1+D_vec2.*D_vec4.*p1_vec4.*t0_vec2.*t1_vec2.*t1_vec4.*2.0e+1-D_vec4.*D_vec6.*p0_vec4.*t0_vec6.*t1_vec4.*t1_vec6.*2.0e+1;
et12 = D_vec4.*D_vec6.*p0_vec6.*t0_vec4.*t1_vec4.*t1_vec6.*-2.0e+1+D_vec1.*D_vec6.*p1_vec1.*t0_vec6.*t1_vec1.*t1_vec6.*2.0e+1+D_vec1.*D_vec6.*p1_vec6.*t0_vec1.*t1_vec1.*t1_vec6.*2.0e+1+D_vec2.*D_vec5.*p1_vec2.*t0_vec5.*t1_vec2.*t1_vec5.*2.0e+1+D_vec2.*D_vec5.*p1_vec5.*t0_vec2.*t1_vec2.*t1_vec5.*2.0e+1+D_vec3.*D_vec4.*p1_vec3.*t0_vec4.*t1_vec3.*t1_vec4.*2.0e+1+D_vec3.*D_vec4.*p1_vec4.*t0_vec3.*t1_vec3.*t1_vec4.*2.0e+1-D_vec5.*D_vec6.*p0_vec5.*t0_vec6.*t1_vec5.*t1_vec6.*2.0e+1-D_vec5.*D_vec6.*p0_vec6.*t0_vec5.*t1_vec5.*t1_vec6.*2.0e+1+D_vec2.*D_vec6.*p1_vec2.*t0_vec6.*t1_vec2.*t1_vec6.*2.0e+1+D_vec2.*D_vec6.*p1_vec6.*t0_vec2.*t1_vec2.*t1_vec6.*2.0e+1+D_vec3.*D_vec5.*p1_vec3.*t0_vec5.*t1_vec3.*t1_vec5.*2.0e+1+D_vec3.*D_vec5.*p1_vec5.*t0_vec3.*t1_vec3.*t1_vec5.*2.0e+1+D_vec3.*D_vec6.*p1_vec3.*t0_vec6.*t1_vec3.*t1_vec6.*2.0e+1+D_vec3.*D_vec6.*p1_vec6.*t0_vec3.*t1_vec3.*t1_vec6.*2.0e+1+D_vec4.*D_vec5.*p1_vec4.*t0_vec5.*t1_vec4.*t1_vec5.*2.0e+1+D_vec4.*D_vec5.*p1_vec5.*t0_vec4.*t1_vec4.*t1_vec5.*2.0e+1+D_vec4.*D_vec6.*p1_vec4.*t0_vec6.*t1_vec4.*t1_vec6.*2.0e+1+D_vec4.*D_vec6.*p1_vec6.*t0_vec4.*t1_vec4.*t1_vec6.*2.0e+1+D_vec5.*D_vec6.*p1_vec5.*t0_vec6.*t1_vec5.*t1_vec6.*2.0e+1+D_vec5.*D_vec6.*p1_vec6.*t0_vec5.*t1_vec5.*t1_vec6.*2.0e+1;
et13 = D_vec1.*D_vec2.*alpha0.*t0_vec1.*t0_vec2.*t1_vec1.*t1_vec2.*-1.6e+1-D_vec1.*D_vec3.*alpha0.*t0_vec1.*t0_vec3.*t1_vec1.*t1_vec3.*1.6e+1-D_vec1.*D_vec4.*alpha0.*t0_vec1.*t0_vec4.*t1_vec1.*t1_vec4.*1.6e+1-D_vec2.*D_vec3.*alpha0.*t0_vec2.*t0_vec3.*t1_vec2.*t1_vec3.*1.6e+1-D_vec1.*D_vec5.*alpha0.*t0_vec1.*t0_vec5.*t1_vec1.*t1_vec5.*1.6e+1-D_vec2.*D_vec4.*alpha0.*t0_vec2.*t0_vec4.*t1_vec2.*t1_vec4.*1.6e+1-D_vec1.*D_vec6.*alpha0.*t0_vec1.*t0_vec6.*t1_vec1.*t1_vec6.*1.6e+1-D_vec2.*D_vec5.*alpha0.*t0_vec2.*t0_vec5.*t1_vec2.*t1_vec5.*1.6e+1-D_vec3.*D_vec4.*alpha0.*t0_vec3.*t0_vec4.*t1_vec3.*t1_vec4.*1.6e+1-D_vec2.*D_vec6.*alpha0.*t0_vec2.*t0_vec6.*t1_vec2.*t1_vec6.*1.6e+1-D_vec3.*D_vec5.*alpha0.*t0_vec3.*t0_vec5.*t1_vec3.*t1_vec5.*1.6e+1-D_vec3.*D_vec6.*alpha0.*t0_vec3.*t0_vec6.*t1_vec3.*t1_vec6.*1.6e+1-D_vec4.*D_vec5.*alpha0.*t0_vec4.*t0_vec5.*t1_vec4.*t1_vec5.*1.6e+1-D_vec4.*D_vec6.*alpha0.*t0_vec4.*t0_vec6.*t1_vec4.*t1_vec6.*1.6e+1-D_vec5.*D_vec6.*alpha0.*t0_vec5.*t0_vec6.*t1_vec5.*t1_vec6.*1.6e+1-D_vec1.*D_vec2.*nk0_vec1.*t8.*t0_vec2.*t1_vec1.*t1_vec2-D_vec1.*D_vec2.*nk0_vec2.*t8.*t0_vec1.*t1_vec1.*t1_vec2-D_vec1.*D_vec3.*nk0_vec1.*t8.*t0_vec3.*t1_vec1.*t1_vec3;
et14 = -D_vec1.*D_vec3.*nk0_vec3.*t8.*t0_vec1.*t1_vec1.*t1_vec3-D_vec1.*D_vec4.*nk0_vec1.*t8.*t0_vec4.*t1_vec1.*t1_vec4-D_vec1.*D_vec4.*nk0_vec4.*t8.*t0_vec1.*t1_vec1.*t1_vec4-D_vec2.*D_vec3.*nk0_vec2.*t8.*t0_vec3.*t1_vec2.*t1_vec3-D_vec2.*D_vec3.*nk0_vec3.*t8.*t0_vec2.*t1_vec2.*t1_vec3-D_vec1.*D_vec5.*nk0_vec1.*t8.*t0_vec5.*t1_vec1.*t1_vec5-D_vec1.*D_vec5.*nk0_vec5.*t8.*t0_vec1.*t1_vec1.*t1_vec5-D_vec2.*D_vec4.*nk0_vec2.*t8.*t0_vec4.*t1_vec2.*t1_vec4-D_vec2.*D_vec4.*nk0_vec4.*t8.*t0_vec2.*t1_vec2.*t1_vec4+D_vec1.*D_vec2.*nk1_vec1.*t9.*t0_vec2.*t1_vec1.*t1_vec2.*3.0+D_vec1.*D_vec2.*nk1_vec2.*t9.*t0_vec1.*t1_vec1.*t1_vec2.*3.0-D_vec1.*D_vec6.*nk0_vec1.*t8.*t0_vec6.*t1_vec1.*t1_vec6-D_vec1.*D_vec6.*nk0_vec6.*t8.*t0_vec1.*t1_vec1.*t1_vec6-D_vec2.*D_vec5.*nk0_vec2.*t8.*t0_vec5.*t1_vec2.*t1_vec5-D_vec2.*D_vec5.*nk0_vec5.*t8.*t0_vec2.*t1_vec2.*t1_vec5-D_vec3.*D_vec4.*nk0_vec3.*t8.*t0_vec4.*t1_vec3.*t1_vec4-D_vec3.*D_vec4.*nk0_vec4.*t8.*t0_vec3.*t1_vec3.*t1_vec4+D_vec1.*D_vec3.*nk1_vec1.*t9.*t0_vec3.*t1_vec1.*t1_vec3.*3.0+D_vec1.*D_vec3.*nk1_vec3.*t9.*t0_vec1.*t1_vec1.*t1_vec3.*3.0-D_vec2.*D_vec6.*nk0_vec2.*t8.*t0_vec6.*t1_vec2.*t1_vec6;
et15 = -D_vec2.*D_vec6.*nk0_vec6.*t8.*t0_vec2.*t1_vec2.*t1_vec6-D_vec3.*D_vec5.*nk0_vec3.*t8.*t0_vec5.*t1_vec3.*t1_vec5-D_vec3.*D_vec5.*nk0_vec5.*t8.*t0_vec3.*t1_vec3.*t1_vec5+D_vec1.*D_vec4.*nk1_vec1.*t9.*t0_vec4.*t1_vec1.*t1_vec4.*3.0+D_vec1.*D_vec4.*nk1_vec4.*t9.*t0_vec1.*t1_vec1.*t1_vec4.*3.0+D_vec2.*D_vec3.*nk1_vec2.*t9.*t0_vec3.*t1_vec2.*t1_vec3.*3.0+D_vec2.*D_vec3.*nk1_vec3.*t9.*t0_vec2.*t1_vec2.*t1_vec3.*3.0-D_vec3.*D_vec6.*nk0_vec3.*t8.*t0_vec6.*t1_vec3.*t1_vec6-D_vec3.*D_vec6.*nk0_vec6.*t8.*t0_vec3.*t1_vec3.*t1_vec6-D_vec4.*D_vec5.*nk0_vec4.*t8.*t0_vec5.*t1_vec4.*t1_vec5-D_vec4.*D_vec5.*nk0_vec5.*t8.*t0_vec4.*t1_vec4.*t1_vec5+D_vec1.*D_vec5.*nk1_vec1.*t9.*t0_vec5.*t1_vec1.*t1_vec5.*3.0+D_vec1.*D_vec5.*nk1_vec5.*t9.*t0_vec1.*t1_vec1.*t1_vec5.*3.0+D_vec2.*D_vec4.*nk1_vec2.*t9.*t0_vec4.*t1_vec2.*t1_vec4.*3.0+D_vec2.*D_vec4.*nk1_vec4.*t9.*t0_vec2.*t1_vec2.*t1_vec4.*3.0-D_vec4.*D_vec6.*nk0_vec4.*t8.*t0_vec6.*t1_vec4.*t1_vec6-D_vec4.*D_vec6.*nk0_vec6.*t8.*t0_vec4.*t1_vec4.*t1_vec6+D_vec1.*D_vec6.*nk1_vec1.*t9.*t0_vec6.*t1_vec1.*t1_vec6.*3.0+D_vec1.*D_vec6.*nk1_vec6.*t9.*t0_vec1.*t1_vec1.*t1_vec6.*3.0+D_vec2.*D_vec5.*nk1_vec2.*t9.*t0_vec5.*t1_vec2.*t1_vec5.*3.0+D_vec2.*D_vec5.*nk1_vec5.*t9.*t0_vec2.*t1_vec2.*t1_vec5.*3.0;
et16 = D_vec3.*D_vec4.*nk1_vec3.*t9.*t0_vec4.*t1_vec3.*t1_vec4.*3.0+D_vec3.*D_vec4.*nk1_vec4.*t9.*t0_vec3.*t1_vec3.*t1_vec4.*3.0-D_vec5.*D_vec6.*nk0_vec5.*t8.*t0_vec6.*t1_vec5.*t1_vec6-D_vec5.*D_vec6.*nk0_vec6.*t8.*t0_vec5.*t1_vec5.*t1_vec6+D_vec2.*D_vec6.*nk1_vec2.*t9.*t0_vec6.*t1_vec2.*t1_vec6.*3.0+D_vec2.*D_vec6.*nk1_vec6.*t9.*t0_vec2.*t1_vec2.*t1_vec6.*3.0+D_vec3.*D_vec5.*nk1_vec3.*t9.*t0_vec5.*t1_vec3.*t1_vec5.*3.0+D_vec3.*D_vec5.*nk1_vec5.*t9.*t0_vec3.*t1_vec3.*t1_vec5.*3.0+D_vec3.*D_vec6.*nk1_vec3.*t9.*t0_vec6.*t1_vec3.*t1_vec6.*3.0+D_vec3.*D_vec6.*nk1_vec6.*t9.*t0_vec3.*t1_vec3.*t1_vec6.*3.0+D_vec4.*D_vec5.*nk1_vec4.*t9.*t0_vec5.*t1_vec4.*t1_vec5.*3.0+D_vec4.*D_vec5.*nk1_vec5.*t9.*t0_vec4.*t1_vec4.*t1_vec5.*3.0+D_vec4.*D_vec6.*nk1_vec4.*t9.*t0_vec6.*t1_vec4.*t1_vec6.*3.0+D_vec4.*D_vec6.*nk1_vec6.*t9.*t0_vec4.*t1_vec4.*t1_vec6.*3.0+D_vec5.*D_vec6.*nk1_vec5.*t9.*t0_vec6.*t1_vec5.*t1_vec6.*3.0+D_vec5.*D_vec6.*nk1_vec6.*t9.*t0_vec5.*t1_vec5.*t1_vec6.*3.0;
beta0 = -t89.*(et1+et2+et3+et4+et5+et6+et7+et8+et9+et10+et11+et12+et13+et14+et15+et16);
if nargout > 1
    et17 = alpha1.*t2.*t10.*t16.*2.8e+1+alpha1.*t3.*t11.*t17.*2.8e+1+alpha1.*t4.*t12.*t18.*2.8e+1+alpha1.*t5.*t13.*t19.*2.8e+1+alpha1.*t6.*t14.*t20.*2.8e+1+alpha1.*t7.*t15.*t21.*2.8e+1+p0_vec1.*t2.*t10.*t1_vec1.*4.0e+1+p0_vec2.*t3.*t11.*t1_vec2.*4.0e+1+p0_vec3.*t4.*t12.*t1_vec3.*4.0e+1-p1_vec1.*t2.*t10.*t1_vec1.*4.0e+1+p0_vec4.*t5.*t13.*t1_vec4.*4.0e+1-p1_vec2.*t3.*t11.*t1_vec2.*4.0e+1+p0_vec5.*t6.*t14.*t1_vec5.*4.0e+1-p1_vec3.*t4.*t12.*t1_vec3.*4.0e+1+p0_vec6.*t7.*t15.*t1_vec6.*4.0e+1-p1_vec4.*t5.*t13.*t1_vec4.*4.0e+1-p1_vec5.*t6.*t14.*t1_vec5.*4.0e+1-p1_vec6.*t7.*t15.*t1_vec6.*4.0e+1+alpha0.*t2.*t0_vec1.^3.*t1_vec1.*1.2e+1+alpha0.*t3.*t0_vec2.^3.*t1_vec2.*1.2e+1+alpha0.*t4.*t0_vec3.^3.*t1_vec3.*1.2e+1+alpha0.*t5.*t0_vec4.^3.*t1_vec4.*1.2e+1+alpha0.*t6.*t0_vec5.^3.*t1_vec5.*1.2e+1+alpha0.*t7.*t0_vec6.^3.*t1_vec6.*1.2e+1+D_vec1.*D_vec2.*alpha1.*t10.*t17.*3.6e+1;
    et18 = D_vec1.*D_vec2.*alpha1.*t11.*t16.*3.6e+1+D_vec1.*D_vec3.*alpha1.*t10.*t18.*3.6e+1+D_vec1.*D_vec3.*alpha1.*t12.*t16.*3.6e+1+D_vec1.*D_vec4.*alpha1.*t10.*t19.*3.6e+1+D_vec1.*D_vec4.*alpha1.*t13.*t16.*3.6e+1+D_vec2.*D_vec3.*alpha1.*t11.*t18.*3.6e+1+D_vec2.*D_vec3.*alpha1.*t12.*t17.*3.6e+1+D_vec1.*D_vec5.*alpha1.*t10.*t20.*3.6e+1+D_vec1.*D_vec5.*alpha1.*t14.*t16.*3.6e+1+D_vec2.*D_vec4.*alpha1.*t11.*t19.*3.6e+1+D_vec2.*D_vec4.*alpha1.*t13.*t17.*3.6e+1+D_vec1.*D_vec6.*alpha1.*t10.*t21.*3.6e+1+D_vec1.*D_vec6.*alpha1.*t15.*t16.*3.6e+1+D_vec2.*D_vec5.*alpha1.*t11.*t20.*3.6e+1+D_vec2.*D_vec5.*alpha1.*t14.*t17.*3.6e+1+D_vec3.*D_vec4.*alpha1.*t12.*t19.*3.6e+1+D_vec3.*D_vec4.*alpha1.*t13.*t18.*3.6e+1+D_vec2.*D_vec6.*alpha1.*t11.*t21.*3.6e+1+D_vec2.*D_vec6.*alpha1.*t15.*t17.*3.6e+1+D_vec3.*D_vec5.*alpha1.*t12.*t20.*3.6e+1+D_vec3.*D_vec5.*alpha1.*t14.*t18.*3.6e+1+D_vec3.*D_vec6.*alpha1.*t12.*t21.*3.6e+1+D_vec3.*D_vec6.*alpha1.*t15.*t18.*3.6e+1+D_vec4.*D_vec5.*alpha1.*t13.*t20.*3.6e+1+D_vec4.*D_vec5.*alpha1.*t14.*t19.*3.6e+1;
    et19 = D_vec4.*D_vec6.*alpha1.*t13.*t21.*3.6e+1+D_vec4.*D_vec6.*alpha1.*t15.*t19.*3.6e+1+D_vec5.*D_vec6.*alpha1.*t14.*t21.*3.6e+1+D_vec5.*D_vec6.*alpha1.*t15.*t20.*3.6e+1+D_vec1.*D_vec2.*p0_vec1.*t11.*t1_vec1.*6.0e+1+D_vec1.*D_vec2.*p0_vec2.*t10.*t1_vec2.*6.0e+1+D_vec1.*D_vec3.*p0_vec1.*t12.*t1_vec1.*6.0e+1+D_vec1.*D_vec3.*p0_vec3.*t10.*t1_vec3.*6.0e+1+D_vec1.*D_vec4.*p0_vec1.*t13.*t1_vec1.*6.0e+1+D_vec2.*D_vec3.*p0_vec2.*t12.*t1_vec2.*6.0e+1+D_vec1.*D_vec5.*p0_vec1.*t14.*t1_vec1.*6.0e+1+D_vec2.*D_vec3.*p0_vec3.*t11.*t1_vec3.*6.0e+1+D_vec1.*D_vec4.*p0_vec4.*t10.*t1_vec4.*6.0e+1+D_vec2.*D_vec4.*p0_vec2.*t13.*t1_vec2.*6.0e+1+D_vec1.*D_vec6.*p0_vec1.*t15.*t1_vec1.*6.0e+1+D_vec2.*D_vec4.*p0_vec4.*t11.*t1_vec4.*6.0e+1+D_vec2.*D_vec5.*p0_vec2.*t14.*t1_vec2.*6.0e+1-D_vec1.*D_vec2.*p1_vec1.*t11.*t1_vec1.*6.0e+1+D_vec1.*D_vec5.*p0_vec5.*t10.*t1_vec5.*6.0e+1+D_vec3.*D_vec4.*p0_vec3.*t13.*t1_vec3.*6.0e+1-D_vec1.*D_vec2.*p1_vec2.*t10.*t1_vec2.*6.0e+1+D_vec2.*D_vec6.*p0_vec2.*t15.*t1_vec2.*6.0e+1+D_vec3.*D_vec4.*p0_vec4.*t12.*t1_vec4.*6.0e+1-D_vec1.*D_vec3.*p1_vec1.*t12.*t1_vec1.*6.0e+1;
    et20 = D_vec2.*D_vec5.*p0_vec5.*t11.*t1_vec5.*6.0e+1+D_vec3.*D_vec5.*p0_vec3.*t14.*t1_vec3.*6.0e+1+D_vec1.*D_vec6.*p0_vec6.*t10.*t1_vec6.*6.0e+1-D_vec1.*D_vec3.*p1_vec3.*t10.*t1_vec3.*6.0e+1-D_vec1.*D_vec4.*p1_vec1.*t13.*t1_vec1.*6.0e+1+D_vec3.*D_vec5.*p0_vec5.*t12.*t1_vec5.*6.0e+1+D_vec3.*D_vec6.*p0_vec3.*t15.*t1_vec3.*6.0e+1-D_vec2.*D_vec3.*p1_vec2.*t12.*t1_vec2.*6.0e+1+D_vec2.*D_vec6.*p0_vec6.*t11.*t1_vec6.*6.0e+1+D_vec4.*D_vec5.*p0_vec4.*t14.*t1_vec4.*6.0e+1-D_vec1.*D_vec5.*p1_vec1.*t14.*t1_vec1.*6.0e+1-D_vec2.*D_vec3.*p1_vec3.*t11.*t1_vec3.*6.0e+1+D_vec4.*D_vec5.*p0_vec5.*t13.*t1_vec5.*6.0e+1-D_vec1.*D_vec4.*p1_vec4.*t10.*t1_vec4.*6.0e+1-D_vec2.*D_vec4.*p1_vec2.*t13.*t1_vec2.*6.0e+1+D_vec3.*D_vec6.*p0_vec6.*t12.*t1_vec6.*6.0e+1+D_vec4.*D_vec6.*p0_vec4.*t15.*t1_vec4.*6.0e+1-D_vec1.*D_vec6.*p1_vec1.*t15.*t1_vec1.*6.0e+1-D_vec2.*D_vec4.*p1_vec4.*t11.*t1_vec4.*6.0e+1-D_vec2.*D_vec5.*p1_vec2.*t14.*t1_vec2.*6.0e+1+D_vec4.*D_vec6.*p0_vec6.*t13.*t1_vec6.*6.0e+1-D_vec1.*D_vec5.*p1_vec5.*t10.*t1_vec5.*6.0e+1-D_vec3.*D_vec4.*p1_vec3.*t13.*t1_vec3.*6.0e+1;
    et21 = D_vec5.*D_vec6.*p0_vec5.*t15.*t1_vec5.*6.0e+1-D_vec2.*D_vec6.*p1_vec2.*t15.*t1_vec2.*6.0e+1-D_vec3.*D_vec4.*p1_vec4.*t12.*t1_vec4.*6.0e+1+D_vec5.*D_vec6.*p0_vec6.*t14.*t1_vec6.*6.0e+1-D_vec2.*D_vec5.*p1_vec5.*t11.*t1_vec5.*6.0e+1-D_vec3.*D_vec5.*p1_vec3.*t14.*t1_vec3.*6.0e+1-D_vec1.*D_vec6.*p1_vec6.*t10.*t1_vec6.*6.0e+1-D_vec3.*D_vec5.*p1_vec5.*t12.*t1_vec5.*6.0e+1-D_vec3.*D_vec6.*p1_vec3.*t15.*t1_vec3.*6.0e+1-D_vec2.*D_vec6.*p1_vec6.*t11.*t1_vec6.*6.0e+1-D_vec4.*D_vec5.*p1_vec4.*t14.*t1_vec4.*6.0e+1-D_vec4.*D_vec5.*p1_vec5.*t13.*t1_vec5.*6.0e+1-D_vec3.*D_vec6.*p1_vec6.*t12.*t1_vec6.*6.0e+1-D_vec4.*D_vec6.*p1_vec4.*t15.*t1_vec4.*6.0e+1-D_vec4.*D_vec6.*p1_vec6.*t13.*t1_vec6.*6.0e+1-D_vec5.*D_vec6.*p1_vec5.*t15.*t1_vec5.*6.0e+1-D_vec5.*D_vec6.*p1_vec6.*t14.*t1_vec6.*6.0e+1-nk1_vec1.*t2.*t9.*t10.*t1_vec1.*8.0-nk1_vec2.*t3.*t9.*t11.*t1_vec2.*8.0-nk1_vec3.*t4.*t9.*t12.*t1_vec3.*8.0-nk1_vec4.*t5.*t9.*t13.*t1_vec4.*8.0-nk1_vec5.*t6.*t9.*t14.*t1_vec5.*8.0;
    et22 = nk1_vec6.*t7.*t9.*t15.*t1_vec6.*-8.0+D_vec1.*D_vec2.*alpha0.*t11.*t0_vec1.*t1_vec1.*1.2e+1+D_vec1.*D_vec2.*alpha0.*t10.*t0_vec2.*t1_vec2.*1.2e+1+D_vec1.*D_vec3.*alpha0.*t12.*t0_vec1.*t1_vec1.*1.2e+1+D_vec1.*D_vec3.*alpha0.*t10.*t0_vec3.*t1_vec3.*1.2e+1+D_vec1.*D_vec4.*alpha0.*t13.*t0_vec1.*t1_vec1.*1.2e+1+D_vec2.*D_vec3.*alpha0.*t12.*t0_vec2.*t1_vec2.*1.2e+1+D_vec1.*D_vec5.*alpha0.*t14.*t0_vec1.*t1_vec1.*1.2e+1+D_vec2.*D_vec3.*alpha0.*t11.*t0_vec3.*t1_vec3.*1.2e+1+D_vec1.*D_vec4.*alpha0.*t10.*t0_vec4.*t1_vec4.*1.2e+1+D_vec2.*D_vec4.*alpha0.*t13.*t0_vec2.*t1_vec2.*1.2e+1+D_vec1.*D_vec6.*alpha0.*t15.*t0_vec1.*t1_vec1.*1.2e+1+D_vec2.*D_vec4.*alpha0.*t11.*t0_vec4.*t1_vec4.*1.2e+1+D_vec2.*D_vec5.*alpha0.*t14.*t0_vec2.*t1_vec2.*1.2e+1+D_vec1.*D_vec5.*alpha0.*t10.*t0_vec5.*t1_vec5.*1.2e+1+D_vec3.*D_vec4.*alpha0.*t13.*t0_vec3.*t1_vec3.*1.2e+1+D_vec2.*D_vec6.*alpha0.*t15.*t0_vec2.*t1_vec2.*1.2e+1+D_vec3.*D_vec4.*alpha0.*t12.*t0_vec4.*t1_vec4.*1.2e+1+D_vec2.*D_vec5.*alpha0.*t11.*t0_vec5.*t1_vec5.*1.2e+1+D_vec3.*D_vec5.*alpha0.*t14.*t0_vec3.*t1_vec3.*1.2e+1+D_vec1.*D_vec6.*alpha0.*t10.*t0_vec6.*t1_vec6.*1.2e+1+D_vec3.*D_vec5.*alpha0.*t12.*t0_vec5.*t1_vec5.*1.2e+1;
    et23 = D_vec3.*D_vec6.*alpha0.*t15.*t0_vec3.*t1_vec3.*1.2e+1+D_vec2.*D_vec6.*alpha0.*t11.*t0_vec6.*t1_vec6.*1.2e+1+D_vec4.*D_vec5.*alpha0.*t14.*t0_vec4.*t1_vec4.*1.2e+1+D_vec4.*D_vec5.*alpha0.*t13.*t0_vec5.*t1_vec5.*1.2e+1+D_vec3.*D_vec6.*alpha0.*t12.*t0_vec6.*t1_vec6.*1.2e+1+D_vec4.*D_vec6.*alpha0.*t15.*t0_vec4.*t1_vec4.*1.2e+1+D_vec4.*D_vec6.*alpha0.*t13.*t0_vec6.*t1_vec6.*1.2e+1+D_vec5.*D_vec6.*alpha0.*t15.*t0_vec5.*t1_vec5.*1.2e+1+D_vec5.*D_vec6.*alpha0.*t14.*t0_vec6.*t1_vec6.*1.2e+1+D_vec1.*D_vec2.*nk0_vec1.*t8.*t11.*t1_vec1.*3.0+D_vec1.*D_vec2.*nk0_vec2.*t8.*t10.*t1_vec2.*3.0+D_vec1.*D_vec3.*nk0_vec1.*t8.*t12.*t1_vec1.*3.0+D_vec1.*D_vec3.*nk0_vec3.*t8.*t10.*t1_vec3.*3.0+D_vec1.*D_vec4.*nk0_vec1.*t8.*t13.*t1_vec1.*3.0+D_vec2.*D_vec3.*nk0_vec2.*t8.*t12.*t1_vec2.*3.0+D_vec1.*D_vec5.*nk0_vec1.*t8.*t14.*t1_vec1.*3.0+D_vec2.*D_vec3.*nk0_vec3.*t8.*t11.*t1_vec3.*3.0+D_vec1.*D_vec4.*nk0_vec4.*t8.*t10.*t1_vec4.*3.0+D_vec2.*D_vec4.*nk0_vec2.*t8.*t13.*t1_vec2.*3.0+D_vec1.*D_vec6.*nk0_vec1.*t8.*t15.*t1_vec1.*3.0+D_vec2.*D_vec4.*nk0_vec4.*t8.*t11.*t1_vec4.*3.0+D_vec2.*D_vec5.*nk0_vec2.*t8.*t14.*t1_vec2.*3.0+D_vec1.*D_vec5.*nk0_vec5.*t8.*t10.*t1_vec5.*3.0;
    et24 = D_vec3.*D_vec4.*nk0_vec3.*t8.*t13.*t1_vec3.*3.0-D_vec1.*D_vec2.*nk1_vec1.*t9.*t11.*t1_vec1.*9.0+D_vec2.*D_vec6.*nk0_vec2.*t8.*t15.*t1_vec2.*3.0+D_vec3.*D_vec4.*nk0_vec4.*t8.*t12.*t1_vec4.*3.0-D_vec1.*D_vec2.*nk1_vec2.*t9.*t10.*t1_vec2.*9.0+D_vec2.*D_vec5.*nk0_vec5.*t8.*t11.*t1_vec5.*3.0+D_vec3.*D_vec5.*nk0_vec3.*t8.*t14.*t1_vec3.*3.0-D_vec1.*D_vec3.*nk1_vec1.*t9.*t12.*t1_vec1.*9.0+D_vec1.*D_vec6.*nk0_vec6.*t8.*t10.*t1_vec6.*3.0+D_vec3.*D_vec5.*nk0_vec5.*t8.*t12.*t1_vec5.*3.0+D_vec3.*D_vec6.*nk0_vec3.*t8.*t15.*t1_vec3.*3.0-D_vec1.*D_vec3.*nk1_vec3.*t9.*t10.*t1_vec3.*9.0-D_vec1.*D_vec4.*nk1_vec1.*t9.*t13.*t1_vec1.*9.0+D_vec2.*D_vec6.*nk0_vec6.*t8.*t11.*t1_vec6.*3.0+D_vec4.*D_vec5.*nk0_vec4.*t8.*t14.*t1_vec4.*3.0-D_vec2.*D_vec3.*nk1_vec2.*t9.*t12.*t1_vec2.*9.0+D_vec4.*D_vec5.*nk0_vec5.*t8.*t13.*t1_vec5.*3.0-D_vec1.*D_vec5.*nk1_vec1.*t9.*t14.*t1_vec1.*9.0-D_vec2.*D_vec3.*nk1_vec3.*t9.*t11.*t1_vec3.*9.0+D_vec3.*D_vec6.*nk0_vec6.*t8.*t12.*t1_vec6.*3.0+D_vec4.*D_vec6.*nk0_vec4.*t8.*t15.*t1_vec4.*3.0-D_vec1.*D_vec4.*nk1_vec4.*t9.*t10.*t1_vec4.*9.0;
    et25 = D_vec2.*D_vec4.*nk1_vec2.*t9.*t13.*t1_vec2.*-9.0-D_vec1.*D_vec6.*nk1_vec1.*t9.*t15.*t1_vec1.*9.0+D_vec4.*D_vec6.*nk0_vec6.*t8.*t13.*t1_vec6.*3.0-D_vec2.*D_vec4.*nk1_vec4.*t9.*t11.*t1_vec4.*9.0-D_vec2.*D_vec5.*nk1_vec2.*t9.*t14.*t1_vec2.*9.0+D_vec5.*D_vec6.*nk0_vec5.*t8.*t15.*t1_vec5.*3.0-D_vec1.*D_vec5.*nk1_vec5.*t9.*t10.*t1_vec5.*9.0-D_vec3.*D_vec4.*nk1_vec3.*t9.*t13.*t1_vec3.*9.0+D_vec5.*D_vec6.*nk0_vec6.*t8.*t14.*t1_vec6.*3.0-D_vec2.*D_vec6.*nk1_vec2.*t9.*t15.*t1_vec2.*9.0-D_vec3.*D_vec4.*nk1_vec4.*t9.*t12.*t1_vec4.*9.0-D_vec2.*D_vec5.*nk1_vec5.*t9.*t11.*t1_vec5.*9.0-D_vec3.*D_vec5.*nk1_vec3.*t9.*t14.*t1_vec3.*9.0-D_vec1.*D_vec6.*nk1_vec6.*t9.*t10.*t1_vec6.*9.0-D_vec3.*D_vec5.*nk1_vec5.*t9.*t12.*t1_vec5.*9.0-D_vec3.*D_vec6.*nk1_vec3.*t9.*t15.*t1_vec3.*9.0-D_vec2.*D_vec6.*nk1_vec6.*t9.*t11.*t1_vec6.*9.0-D_vec4.*D_vec5.*nk1_vec4.*t9.*t14.*t1_vec4.*9.0-D_vec4.*D_vec5.*nk1_vec5.*t9.*t13.*t1_vec5.*9.0-D_vec3.*D_vec6.*nk1_vec6.*t9.*t12.*t1_vec6.*9.0;
    et26 = D_vec4.*D_vec6.*nk1_vec4.*t9.*t15.*t1_vec4.*-9.0-D_vec4.*D_vec6.*nk1_vec6.*t9.*t13.*t1_vec6.*9.0-D_vec5.*D_vec6.*nk1_vec5.*t9.*t15.*t1_vec5.*9.0-D_vec5.*D_vec6.*nk1_vec6.*t9.*t14.*t1_vec6.*9.0-D_vec1.*D_vec2.*p0_vec1.*t0_vec1.*t0_vec2.*t1_vec2.*2.0e+1-D_vec1.*D_vec2.*p0_vec2.*t0_vec1.*t0_vec2.*t1_vec1.*2.0e+1-D_vec1.*D_vec3.*p0_vec1.*t0_vec1.*t0_vec3.*t1_vec3.*2.0e+1-D_vec1.*D_vec3.*p0_vec3.*t0_vec1.*t0_vec3.*t1_vec1.*2.0e+1-D_vec1.*D_vec4.*p0_vec1.*t0_vec1.*t0_vec4.*t1_vec4.*2.0e+1-D_vec1.*D_vec4.*p0_vec4.*t0_vec1.*t0_vec4.*t1_vec1.*2.0e+1-D_vec2.*D_vec3.*p0_vec2.*t0_vec2.*t0_vec3.*t1_vec3.*2.0e+1-D_vec2.*D_vec3.*p0_vec3.*t0_vec2.*t0_vec3.*t1_vec2.*2.0e+1-D_vec1.*D_vec5.*p0_vec1.*t0_vec1.*t0_vec5.*t1_vec5.*2.0e+1-D_vec1.*D_vec5.*p0_vec5.*t0_vec1.*t0_vec5.*t1_vec1.*2.0e+1-D_vec2.*D_vec4.*p0_vec2.*t0_vec2.*t0_vec4.*t1_vec4.*2.0e+1-D_vec2.*D_vec4.*p0_vec4.*t0_vec2.*t0_vec4.*t1_vec2.*2.0e+1+D_vec1.*D_vec2.*p1_vec1.*t0_vec1.*t0_vec2.*t1_vec2.*2.0e+1+D_vec1.*D_vec2.*p1_vec2.*t0_vec1.*t0_vec2.*t1_vec1.*2.0e+1-D_vec1.*D_vec6.*p0_vec1.*t0_vec1.*t0_vec6.*t1_vec6.*2.0e+1-D_vec1.*D_vec6.*p0_vec6.*t0_vec1.*t0_vec6.*t1_vec1.*2.0e+1;
    et27 = D_vec2.*D_vec5.*p0_vec2.*t0_vec2.*t0_vec5.*t1_vec5.*-2.0e+1-D_vec2.*D_vec5.*p0_vec5.*t0_vec2.*t0_vec5.*t1_vec2.*2.0e+1-D_vec3.*D_vec4.*p0_vec3.*t0_vec3.*t0_vec4.*t1_vec4.*2.0e+1-D_vec3.*D_vec4.*p0_vec4.*t0_vec3.*t0_vec4.*t1_vec3.*2.0e+1+D_vec1.*D_vec3.*p1_vec1.*t0_vec1.*t0_vec3.*t1_vec3.*2.0e+1+D_vec1.*D_vec3.*p1_vec3.*t0_vec1.*t0_vec3.*t1_vec1.*2.0e+1-D_vec2.*D_vec6.*p0_vec2.*t0_vec2.*t0_vec6.*t1_vec6.*2.0e+1-D_vec2.*D_vec6.*p0_vec6.*t0_vec2.*t0_vec6.*t1_vec2.*2.0e+1-D_vec3.*D_vec5.*p0_vec3.*t0_vec3.*t0_vec5.*t1_vec5.*2.0e+1-D_vec3.*D_vec5.*p0_vec5.*t0_vec3.*t0_vec5.*t1_vec3.*2.0e+1+D_vec1.*D_vec4.*p1_vec1.*t0_vec1.*t0_vec4.*t1_vec4.*2.0e+1+D_vec1.*D_vec4.*p1_vec4.*t0_vec1.*t0_vec4.*t1_vec1.*2.0e+1+D_vec2.*D_vec3.*p1_vec2.*t0_vec2.*t0_vec3.*t1_vec3.*2.0e+1+D_vec2.*D_vec3.*p1_vec3.*t0_vec2.*t0_vec3.*t1_vec2.*2.0e+1-D_vec3.*D_vec6.*p0_vec3.*t0_vec3.*t0_vec6.*t1_vec6.*2.0e+1-D_vec3.*D_vec6.*p0_vec6.*t0_vec3.*t0_vec6.*t1_vec3.*2.0e+1-D_vec4.*D_vec5.*p0_vec4.*t0_vec4.*t0_vec5.*t1_vec5.*2.0e+1-D_vec4.*D_vec5.*p0_vec5.*t0_vec4.*t0_vec5.*t1_vec4.*2.0e+1+D_vec1.*D_vec5.*p1_vec1.*t0_vec1.*t0_vec5.*t1_vec5.*2.0e+1+D_vec1.*D_vec5.*p1_vec5.*t0_vec1.*t0_vec5.*t1_vec1.*2.0e+1;
    et28 = D_vec2.*D_vec4.*p1_vec2.*t0_vec2.*t0_vec4.*t1_vec4.*2.0e+1+D_vec2.*D_vec4.*p1_vec4.*t0_vec2.*t0_vec4.*t1_vec2.*2.0e+1-D_vec4.*D_vec6.*p0_vec4.*t0_vec4.*t0_vec6.*t1_vec6.*2.0e+1-D_vec4.*D_vec6.*p0_vec6.*t0_vec4.*t0_vec6.*t1_vec4.*2.0e+1+D_vec1.*D_vec6.*p1_vec1.*t0_vec1.*t0_vec6.*t1_vec6.*2.0e+1+D_vec1.*D_vec6.*p1_vec6.*t0_vec1.*t0_vec6.*t1_vec1.*2.0e+1+D_vec2.*D_vec5.*p1_vec2.*t0_vec2.*t0_vec5.*t1_vec5.*2.0e+1+D_vec2.*D_vec5.*p1_vec5.*t0_vec2.*t0_vec5.*t1_vec2.*2.0e+1+D_vec3.*D_vec4.*p1_vec3.*t0_vec3.*t0_vec4.*t1_vec4.*2.0e+1+D_vec3.*D_vec4.*p1_vec4.*t0_vec3.*t0_vec4.*t1_vec3.*2.0e+1-D_vec5.*D_vec6.*p0_vec5.*t0_vec5.*t0_vec6.*t1_vec6.*2.0e+1-D_vec5.*D_vec6.*p0_vec6.*t0_vec5.*t0_vec6.*t1_vec5.*2.0e+1+D_vec2.*D_vec6.*p1_vec2.*t0_vec2.*t0_vec6.*t1_vec6.*2.0e+1+D_vec2.*D_vec6.*p1_vec6.*t0_vec2.*t0_vec6.*t1_vec2.*2.0e+1+D_vec3.*D_vec5.*p1_vec3.*t0_vec3.*t0_vec5.*t1_vec5.*2.0e+1+D_vec3.*D_vec5.*p1_vec5.*t0_vec3.*t0_vec5.*t1_vec3.*2.0e+1+D_vec3.*D_vec6.*p1_vec3.*t0_vec3.*t0_vec6.*t1_vec6.*2.0e+1+D_vec3.*D_vec6.*p1_vec6.*t0_vec3.*t0_vec6.*t1_vec3.*2.0e+1+D_vec4.*D_vec5.*p1_vec4.*t0_vec4.*t0_vec5.*t1_vec5.*2.0e+1+D_vec4.*D_vec5.*p1_vec5.*t0_vec4.*t0_vec5.*t1_vec4.*2.0e+1+D_vec4.*D_vec6.*p1_vec4.*t0_vec4.*t0_vec6.*t1_vec6.*2.0e+1;
    et29 = D_vec4.*D_vec6.*p1_vec6.*t0_vec4.*t0_vec6.*t1_vec4.*2.0e+1+D_vec5.*D_vec6.*p1_vec5.*t0_vec5.*t0_vec6.*t1_vec6.*2.0e+1+D_vec5.*D_vec6.*p1_vec6.*t0_vec5.*t0_vec6.*t1_vec5.*2.0e+1-D_vec1.*D_vec2.*alpha1.*t0_vec1.*t0_vec2.*t1_vec1.*t1_vec2.*1.6e+1-D_vec1.*D_vec3.*alpha1.*t0_vec1.*t0_vec3.*t1_vec1.*t1_vec3.*1.6e+1-D_vec1.*D_vec4.*alpha1.*t0_vec1.*t0_vec4.*t1_vec1.*t1_vec4.*1.6e+1-D_vec2.*D_vec3.*alpha1.*t0_vec2.*t0_vec3.*t1_vec2.*t1_vec3.*1.6e+1-D_vec1.*D_vec5.*alpha1.*t0_vec1.*t0_vec5.*t1_vec1.*t1_vec5.*1.6e+1-D_vec2.*D_vec4.*alpha1.*t0_vec2.*t0_vec4.*t1_vec2.*t1_vec4.*1.6e+1-D_vec1.*D_vec6.*alpha1.*t0_vec1.*t0_vec6.*t1_vec1.*t1_vec6.*1.6e+1-D_vec2.*D_vec5.*alpha1.*t0_vec2.*t0_vec5.*t1_vec2.*t1_vec5.*1.6e+1-D_vec3.*D_vec4.*alpha1.*t0_vec3.*t0_vec4.*t1_vec3.*t1_vec4.*1.6e+1-D_vec2.*D_vec6.*alpha1.*t0_vec2.*t0_vec6.*t1_vec2.*t1_vec6.*1.6e+1-D_vec3.*D_vec5.*alpha1.*t0_vec3.*t0_vec5.*t1_vec3.*t1_vec5.*1.6e+1-D_vec3.*D_vec6.*alpha1.*t0_vec3.*t0_vec6.*t1_vec3.*t1_vec6.*1.6e+1-D_vec4.*D_vec5.*alpha1.*t0_vec4.*t0_vec5.*t1_vec4.*t1_vec5.*1.6e+1-D_vec4.*D_vec6.*alpha1.*t0_vec4.*t0_vec6.*t1_vec4.*t1_vec6.*1.6e+1-D_vec5.*D_vec6.*alpha1.*t0_vec5.*t0_vec6.*t1_vec5.*t1_vec6.*1.6e+1;
    et30 = D_vec1.*D_vec2.*nk0_vec1.*t8.*t0_vec1.*t0_vec2.*t1_vec2.*-3.0-D_vec1.*D_vec2.*nk0_vec2.*t8.*t0_vec1.*t0_vec2.*t1_vec1.*3.0-D_vec1.*D_vec3.*nk0_vec1.*t8.*t0_vec1.*t0_vec3.*t1_vec3.*3.0-D_vec1.*D_vec3.*nk0_vec3.*t8.*t0_vec1.*t0_vec3.*t1_vec1.*3.0-D_vec1.*D_vec4.*nk0_vec1.*t8.*t0_vec1.*t0_vec4.*t1_vec4.*3.0-D_vec1.*D_vec4.*nk0_vec4.*t8.*t0_vec1.*t0_vec4.*t1_vec1.*3.0-D_vec2.*D_vec3.*nk0_vec2.*t8.*t0_vec2.*t0_vec3.*t1_vec3.*3.0-D_vec2.*D_vec3.*nk0_vec3.*t8.*t0_vec2.*t0_vec3.*t1_vec2.*3.0-D_vec1.*D_vec5.*nk0_vec1.*t8.*t0_vec1.*t0_vec5.*t1_vec5.*3.0-D_vec1.*D_vec5.*nk0_vec5.*t8.*t0_vec1.*t0_vec5.*t1_vec1.*3.0-D_vec2.*D_vec4.*nk0_vec2.*t8.*t0_vec2.*t0_vec4.*t1_vec4.*3.0-D_vec2.*D_vec4.*nk0_vec4.*t8.*t0_vec2.*t0_vec4.*t1_vec2.*3.0+D_vec1.*D_vec2.*nk1_vec1.*t9.*t0_vec1.*t0_vec2.*t1_vec2+D_vec1.*D_vec2.*nk1_vec2.*t9.*t0_vec1.*t0_vec2.*t1_vec1-D_vec1.*D_vec6.*nk0_vec1.*t8.*t0_vec1.*t0_vec6.*t1_vec6.*3.0-D_vec1.*D_vec6.*nk0_vec6.*t8.*t0_vec1.*t0_vec6.*t1_vec1.*3.0-D_vec2.*D_vec5.*nk0_vec2.*t8.*t0_vec2.*t0_vec5.*t1_vec5.*3.0-D_vec2.*D_vec5.*nk0_vec5.*t8.*t0_vec2.*t0_vec5.*t1_vec2.*3.0-D_vec3.*D_vec4.*nk0_vec3.*t8.*t0_vec3.*t0_vec4.*t1_vec4.*3.0-D_vec3.*D_vec4.*nk0_vec4.*t8.*t0_vec3.*t0_vec4.*t1_vec3.*3.0;
    et31 = D_vec1.*D_vec3.*nk1_vec1.*t9.*t0_vec1.*t0_vec3.*t1_vec3+D_vec1.*D_vec3.*nk1_vec3.*t9.*t0_vec1.*t0_vec3.*t1_vec1-D_vec2.*D_vec6.*nk0_vec2.*t8.*t0_vec2.*t0_vec6.*t1_vec6.*3.0-D_vec2.*D_vec6.*nk0_vec6.*t8.*t0_vec2.*t0_vec6.*t1_vec2.*3.0-D_vec3.*D_vec5.*nk0_vec3.*t8.*t0_vec3.*t0_vec5.*t1_vec5.*3.0-D_vec3.*D_vec5.*nk0_vec5.*t8.*t0_vec3.*t0_vec5.*t1_vec3.*3.0+D_vec1.*D_vec4.*nk1_vec1.*t9.*t0_vec1.*t0_vec4.*t1_vec4+D_vec1.*D_vec4.*nk1_vec4.*t9.*t0_vec1.*t0_vec4.*t1_vec1+D_vec2.*D_vec3.*nk1_vec2.*t9.*t0_vec2.*t0_vec3.*t1_vec3+D_vec2.*D_vec3.*nk1_vec3.*t9.*t0_vec2.*t0_vec3.*t1_vec2-D_vec3.*D_vec6.*nk0_vec3.*t8.*t0_vec3.*t0_vec6.*t1_vec6.*3.0-D_vec3.*D_vec6.*nk0_vec6.*t8.*t0_vec3.*t0_vec6.*t1_vec3.*3.0-D_vec4.*D_vec5.*nk0_vec4.*t8.*t0_vec4.*t0_vec5.*t1_vec5.*3.0-D_vec4.*D_vec5.*nk0_vec5.*t8.*t0_vec4.*t0_vec5.*t1_vec4.*3.0+D_vec1.*D_vec5.*nk1_vec1.*t9.*t0_vec1.*t0_vec5.*t1_vec5+D_vec1.*D_vec5.*nk1_vec5.*t9.*t0_vec1.*t0_vec5.*t1_vec1+D_vec2.*D_vec4.*nk1_vec2.*t9.*t0_vec2.*t0_vec4.*t1_vec4+D_vec2.*D_vec4.*nk1_vec4.*t9.*t0_vec2.*t0_vec4.*t1_vec2-D_vec4.*D_vec6.*nk0_vec4.*t8.*t0_vec4.*t0_vec6.*t1_vec6.*3.0-D_vec4.*D_vec6.*nk0_vec6.*t8.*t0_vec4.*t0_vec6.*t1_vec4.*3.0+D_vec1.*D_vec6.*nk1_vec1.*t9.*t0_vec1.*t0_vec6.*t1_vec6+D_vec1.*D_vec6.*nk1_vec6.*t9.*t0_vec1.*t0_vec6.*t1_vec1;
    et32 = D_vec2.*D_vec5.*nk1_vec2.*t9.*t0_vec2.*t0_vec5.*t1_vec5+D_vec2.*D_vec5.*nk1_vec5.*t9.*t0_vec2.*t0_vec5.*t1_vec2+D_vec3.*D_vec4.*nk1_vec3.*t9.*t0_vec3.*t0_vec4.*t1_vec4+D_vec3.*D_vec4.*nk1_vec4.*t9.*t0_vec3.*t0_vec4.*t1_vec3-D_vec5.*D_vec6.*nk0_vec5.*t8.*t0_vec5.*t0_vec6.*t1_vec6.*3.0-D_vec5.*D_vec6.*nk0_vec6.*t8.*t0_vec5.*t0_vec6.*t1_vec5.*3.0+D_vec2.*D_vec6.*nk1_vec2.*t9.*t0_vec2.*t0_vec6.*t1_vec6+D_vec2.*D_vec6.*nk1_vec6.*t9.*t0_vec2.*t0_vec6.*t1_vec2+D_vec3.*D_vec5.*nk1_vec3.*t9.*t0_vec3.*t0_vec5.*t1_vec5+D_vec3.*D_vec5.*nk1_vec5.*t9.*t0_vec3.*t0_vec5.*t1_vec3+D_vec3.*D_vec6.*nk1_vec3.*t9.*t0_vec3.*t0_vec6.*t1_vec6+D_vec3.*D_vec6.*nk1_vec6.*t9.*t0_vec3.*t0_vec6.*t1_vec3+D_vec4.*D_vec5.*nk1_vec4.*t9.*t0_vec4.*t0_vec5.*t1_vec5+D_vec4.*D_vec5.*nk1_vec5.*t9.*t0_vec4.*t0_vec5.*t1_vec4+D_vec4.*D_vec6.*nk1_vec4.*t9.*t0_vec4.*t0_vec6.*t1_vec6+D_vec4.*D_vec6.*nk1_vec6.*t9.*t0_vec4.*t0_vec6.*t1_vec4+D_vec5.*D_vec6.*nk1_vec5.*t9.*t0_vec5.*t0_vec6.*t1_vec6+D_vec5.*D_vec6.*nk1_vec6.*t9.*t0_vec5.*t0_vec6.*t1_vec5;
    beta1 = t89.*(et17+et18+et19+et20+et21+et22+et23+et24+et25+et26+et27+et28+et29+et30+et31+et32);
end
